{
	code: "crowbar",
	tool: "crowbar",
	heldTpUseAnimation: "falx",
	class: "ItemCrowbar",
	tags: ["tool", "tool-crowbar"],
	behaviors: [
		{
			name: "GroundStorable",
			properties: {
				layout: 'WallHalves',
				wallOffYByType: {
					"@*-(iron|meteoriciron|steel)": 2,
					"*": 1
				},
				ctrlKey: true,
				selectionBox: { x1: 0, y1: 0, z1: 0, x2: 1, y2: 0.1, z2: 1 },
				collisionBox: { x1: 0, y1: 0, z1: 0, x2: 0, y2: 0, z2: 0 },
			}
		},
		{ name: "Buffable" }
	],
	variantgroups: [
		{ code: "material", states: ["copper", "tinbronze", "bismuthbronze", "blackbronze", "gold", "silver", "iron", "meteoriciron", "steel" ] }
	],
	shapeByType: {
		"@*-(iron|meteoriciron|steel)": { base: "item/tool/crowbar-iron" },
		"*": { base: "item/tool/crowbar-copper" }
	},
	textures: {
		metal: { base: "block/metal/ingot/{material}" }
	},
	attributes: {
		attachableToEntity: { categoryCode: "toolholding" },
		handbook: {	groupBy: ["crowbar-*"] },
		rackable: true,
		toolrackTransform: {
			translation: { x: -0.2, y: 0.55, z: 0.1 },
			rotation: { x: -88, y: -3, z: -1 },
			origin: { x: 0.5, y: -0, z: 0.5 },
			scale: 1.25
		},
		groundStorageTransformByType: {
			"@*-(iron|meteoriciron|steel)": {
				translation: { x: 0, y: 0.155, z: -0.05 },
				rotation: { x: 26, y: 88, z: -87 },
				scale: 0.88
			},
			"*": {
				translation: { x: 0, y: 0.355, z: 0.3 },
				rotation: { x: 26, y: 88, z: -87 },
				origin: { x: 0.5, y: 0, z: 0.5 },
				scale: 0.88
			}
		}
	},
	durabilitybytype: {
		"*-gold": 125,
		"*-silver": 125,
		"*-copper": 250,
		"*-blackbronze": 600,
		"*-bismuthbronze": 500,
		"*-tinbronze": 400,
		"*-iron": 900,
		"*-meteoriciron": 1200,
		"*-steel": 1800
	},
	creativeinventory: { "general": ["*"], "items": ["*"], "tools": ["*"] },
	guiTransformByType: {
		"@*-(iron|meteoriciron|steel)": {
			translation: { x: 0, y: 0, z: 0 },
			rotation: { x: -157, y: 0, z: -48 },
			origin: { x: 0.58, y: 0.03, z: 0.39 },
			scale: 1.9
		},
		"*": {
			translation: { x: 0, y: 0, z: 0 },
			rotation: { x: -157, y: 0, z: -48 },
			origin: { x: 0.51, y: 0, z: 0.37 },
			scale: 1.9
		}
	},
	groundTransform: {
		translation: { x: 0, y: 0.027, z: 0 },
		rotation: { x: -90, y: 0, z: 0 },
		origin: { x: 0.5, y: 0, z: 0.5 },
		scale: 3.6
	},
	tpHandTransform: {
		translation: { x: -0.63, y: 0.08, z: -0.52 },
		rotation: { x: 180, y: 0, z: 0 },
		origin: { x: 0.5, y: -0, z: 0.5 },
		scale: 0.95
	}
}
